package com.artfess.bpm.persistence.manager;


import com.artfess.base.manager.BaseManager;
import com.artfess.bpm.persistence.model.BpmDefAct;

import java.util.List;
import java.util.Map;






/**
 * 对象功能:流程定义权限明细 Manager类
 * 开发公司:广州宏天软件有限公司
 * 开发人员:xucx
 * 创建时间:2014-03-05 14:10:50
 */

public interface BpmDefActManager extends BaseManager<BpmDefAct>{

	public  List<BpmDefAct> getByAuthorizeId(String authorizeId);

	public void delByAuthorizeId(String authorizeId);

	public List<BpmDefAct> getActRightByUserMap(Map<String, String> userRightMapStr, String authorizeType,
			String defKey);

	public List<BpmDefAct> getAll(Map<String, Object> params);
}
